List occupation categories
curl --request GET \
--url https://api.sand.etherfuse.com/ramp/verification/occupations \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.sand.etherfuse.com/ramp/verification/occupations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sand.etherfuse.com/ramp/verification/occupations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"occupations": [
{
"code": "1000000",
"label": "NOT APPLICABLE"
},
{
"code": "4430200",
"label": "INFORMATION TECHNOLOGY - IT PROGRAMMING ENGINEERS OR TECHNICIANS"
}
]
}KYC
List occupation categories
The values POST /ramp/customer/{customer_id}/verification/questionnaire accepts for industry. Either the code or the label is submittable.
The codes are opaque, so this is the only way to know them. Read live from the same definition the submission validates against, so the two cannot disagree.
GET
/
ramp
/
verification
/
occupations
List occupation categories
curl --request GET \
--url https://api.sand.etherfuse.com/ramp/verification/occupations \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.sand.etherfuse.com/ramp/verification/occupations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sand.etherfuse.com/ramp/verification/occupations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"occupations": [
{
"code": "1000000",
"label": "NOT APPLICABLE"
},
{
"code": "4430200",
"label": "INFORMATION TECHNOLOGY - IT PROGRAMMING ENGINEERS OR TECHNICIANS"
}
]
}